Your listings
curl --request GET \
--url https://catchbackcards.com/api/partner/v1/listings \
--header 'Authorization: Bearer <token>'import requests
url = "https://catchbackcards.com/api/partner/v1/listings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://catchbackcards.com/api/partner/v1/listings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://catchbackcards.com/api/partner/v1/listings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://catchbackcards.com/api/partner/v1/listings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://catchbackcards.com/api/partner/v1/listings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://catchbackcards.com/api/partner/v1/listings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"page": 1,
"per_page": 100,
"total": 1,
"has_more": false,
"listings": [
{
"listing_id": "5f1c…",
"card_id": "0e94dc61-…",
"category": "pokemon",
"listing_type": "fixed_price",
"price": 45,
"seller_fee": 1,
"payout": 44,
"listed_at": "2026-10-28T19:56:28Z",
"updated_at": "2026-10-28T19:56:28Z",
"item": {
"id": "0e94dc61-…",
"category": "pokemon",
"name": "Greavard",
"set": "Pokemon Svi En-Scarlet & Violet",
"grading_company": "PSA",
"grading_rank": 9,
"slab_label": "2023 Scarlet & Violet Greavard",
"language": "english",
"cert_number": "84512377",
"market_value": 38.43,
"front_image": "https://…/0e94dc61-….png",
"back_image": "https://…/0e94dc61-…-back.png",
"render_image": "https://…/0e94dc61-…-render.png",
"image_url": "https://…/0e94dc61-…-render.png"
}
}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "Missing or malformed API key"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Marketplace
Your listings
Scope: read:account (needs a linked account).
Your own active marketplace listings, newest first. Search cards leaves them out. A Dutch auction you started in the app shows here too, at its current price.
GET
/
api
/
partner
/
v1
/
listings
Your listings
curl --request GET \
--url https://catchbackcards.com/api/partner/v1/listings \
--header 'Authorization: Bearer <token>'import requests
url = "https://catchbackcards.com/api/partner/v1/listings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://catchbackcards.com/api/partner/v1/listings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://catchbackcards.com/api/partner/v1/listings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://catchbackcards.com/api/partner/v1/listings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://catchbackcards.com/api/partner/v1/listings")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://catchbackcards.com/api/partner/v1/listings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"page": 1,
"per_page": 100,
"total": 1,
"has_more": false,
"listings": [
{
"listing_id": "5f1c…",
"card_id": "0e94dc61-…",
"category": "pokemon",
"listing_type": "fixed_price",
"price": 45,
"seller_fee": 1,
"payout": 44,
"listed_at": "2026-10-28T19:56:28Z",
"updated_at": "2026-10-28T19:56:28Z",
"item": {
"id": "0e94dc61-…",
"category": "pokemon",
"name": "Greavard",
"set": "Pokemon Svi En-Scarlet & Violet",
"grading_company": "PSA",
"grading_rank": 9,
"slab_label": "2023 Scarlet & Violet Greavard",
"language": "english",
"cert_number": "84512377",
"market_value": 38.43,
"front_image": "https://…/0e94dc61-….png",
"back_image": "https://…/0e94dc61-…-back.png",
"render_image": "https://…/0e94dc61-…-render.png",
"image_url": "https://…/0e94dc61-…-render.png"
}
}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "Missing or malformed API key"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Authorizations
Your API key, sent as a bearer token. Keep it on your server. See Authentication. A request from a location we refuse gets a 403 with Access denied, whether or not it has a valid key: where you can call from.
Query Parameters
Only this catalog. Leave it out for every catalog.
Available options:
pokemon, onepiece, sports, riftbound, watches 1-based. See Pagination.
Required range:
x >= 11–200. A higher value is treated as 200.
Required range:
1 <= x <= 200
